/**
 * @author Lluís Moran
 * 
 * TFC Seguretat Informàtica
 * ETIS - UOC
 * 2011
 * 
 */
package cauoc;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * Classe que carrega les opcions de configuració de l'aplicació
 * perquè hi puguin accedir la resta de classes.
 * S'executarà en carregar l'aplicació al contenidor de servlets
 * i guardarà tots els paràmetres del fitxer de configuració en variables.
 */
public class LoadConfig implements ServletContextListener {
	
	static String LOCAL_USER;
	static String LOCAL_PWD;
	static char[] CA_PWD;
	static String DB_USER;
	static String DB_PASSWORD;
	static String HOST;
	static int CERTDAYS;
	static int CRLDAYS;

    public void contextInitialized(ServletContextEvent event) {
        String absPath = event.getServletContext().getRealPath(""); 
        Properties props = new Properties();
		try {
			props.load(new FileInputStream(absPath + "/bin/user.conf"));
			LOCAL_USER = props.getProperty("localuser");
			LOCAL_PWD = props.getProperty("localpassword");
			CA_PWD = props.getProperty("capassword").toCharArray();
			DB_USER = props.getProperty("mysqluser");
			DB_PASSWORD = props.getProperty("mysqlpassword");
			HOST = props.getProperty("host");
			CERTDAYS = Integer.parseInt(props.getProperty("certdays"));
			CRLDAYS = Integer.parseInt(props.getProperty("crldays"));

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		

    }
    

	@Override
	public void contextDestroyed(ServletContextEvent arg0) {
		
	}

}
